Package com.scriptel.proscript.firmware

## Class FWFirmwarePackageFormat

- java.lang.Object
- - com.scriptel.proscript.firmware.FWFirmwarePackageFormat

-     public class FWFirmwarePackageFormat
      extends java.lang.Object

  This class represents a complete firmware package.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FWFirmwarePackageFormat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | Gets the description associated with this firmware.
    `java.util.List<FWFirmwareDevice>` | `getDevices()` | Gets the list of devices that this firmware package supports.
    `byte[][]` | `getFirmware()` | Gets the byte array containing the firmware update commands.
    `void` | `setDescription​(java.lang.String description)` | Sets the description associated with this firmware.
    `void` | `setDevices​(java.util.List<FWFirmwareDevice> devices)` | Sets the list of devices that this firmware package supports.
    `void` | `setFirmware​(byte[][] firmware)` | Sets the byte array containing the list of firmware updates.
    `java.lang.String` | `toString()` | Prints a human-readable version of this firmware package.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FWFirmwarePackageFormat

          public FWFirmwarePackageFormat()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints a human-readable version of this firmware package.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing a human-readable version of this package.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description associated with this firmware.
      Returns:
        the description

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description associated with this firmware.
      Parameters:
        `description` - the description to set

    - #### getFirmware

          public byte[][] getFirmware()

      Gets the byte array containing the firmware update commands.
      Returns:
        the firmware

    - #### getDevices

          public java.util.List<FWFirmwareDevice> getDevices()

      Gets the list of devices that this firmware package supports.
      Returns:
        the devices

    - #### setFirmware

          public void setFirmware​(byte[][] firmware)

      Sets the byte array containing the list of firmware updates.
      Parameters:
        `firmware` - the firmware to set

    - #### setDevices

          public void setDevices​(java.util.List<FWFirmwareDevice> devices)

      Sets the list of devices that this firmware package supports.
      Parameters:
        `devices` - the devices to set